%% Example how to use Scan test
clear
clc

R=100; % Sample size
itboots=999;% Number of boots

info.print='yes';
info.plot='yes';

%% With spatial structure (by example SAR)
C=rand(R,2); % Coordinates
nn4=find_neighbors(C(:,1),C(:,2),4);
W4nn=zeros(R,R);
for i=1:R,
    W4nn(i,nn4(i,:))=.25;
end
X=rand(R,1);
XX=[ones(R,1) X];
y=inv(eye(R)-0.3*W4nn)*(2+3*X+randn(R,1));
resid=y-XX*(inv(XX'*XX)*XX'*y);
tw=1; %Elliptic Windows
mm=2; %High or Low Cluster
K=ScanN(resid,C,fix(R/2),tw,mm,itboots,info);
